<template>
    <v-layout row class="px-3">
        <v-text-field
                label="Add comment"
                placeholder="Write comment"
                v-model="text"
                color="orange"
                @keyup.enter="add"
        />
        <v-btn @click="add" text small rounded color="orange">Add</v-btn>
    </v-layout>
</template>

<script>
  import { mapActions } from 'vuex'

  export default {
    name: 'CommentForm',
    props: ['messageId'],
    data() {
      return {
        text: ''
      }
    },
    methods: {
      ...mapActions(['addCommentAction']),
      add() {
        this.addCommentAction({
          text: this.text,
          message: {
            id: this.messageId
          }
        })
        this.text = ''
      }
    }
  }
</script>

<style scoped>

</style>
